/**
 *  GraphTFT plugin for the Video Disk Recorder 
 * 
 *  common.h - A plugin for the Video Disk Recorder
 *
 *  (c) 2004 Lars Tegeler, Sascha Volkenandt  
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: common.h,v 1.2 2006/11/06 10:29:23 root Exp $
 *
 **/

#ifndef ___COMMON_H
#define ___COMMON_H

#include <string>

using std::string;

enum LogDevice
{
   devNone,       // 0
   devStdOut,     // 1
   devSyslog,     // 2
   devFile        // 3
};

enum Eloquence
{
   eloOff,        // 0
   eloAlways,     // 1
   eloDetail,     // 2
   eloDebug1,     // 3
   eloDebug2,     // 4
   eloDebug3      // 5
};

extern int logLevel;
extern int logDevice;

void d(int eloquence, const char* fmt, ...);

bool file_exists(string filename);
int isolat1ToUTF8(unsigned char* out, int *outlen, 
                  const unsigned char* in, int *inlen);


//***************************************************************************
// Class Str
//***************************************************************************

class Str
{

   public:

      // Manipulation

      static char* rTrim(char* buf);
      static char* lTrim(char* buf);
      static char* allTrim(char* buf);
};

//***************************************************************************
#endif //___COMMON_H
