//***************************************************************************
// Group VDR/GraphTFT
// File comthread.h
// Date 31.10.06 - Jrg Wendel
// This code is distributed under the terms and conditions of the
// GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
//--------------------------------------------------------------------------
// Class ComThread
//***************************************************************************

#ifndef __GTFT_COMTHREAD_HPP__
#define __GTFT_COMTHREAD_HPP__

#include <vdr/plugin.h>
#include <tcpchannel.h>

#include <renderer.h>
#include <service.h>

//***************************************************************************
// Communication Thread
//***************************************************************************

class ComThread : public cThread, public cGraphTftService
{
   public:
      
      enum Misc
      {
         maxBuf = 512*1024,
         defaultPort = 2039
      };

//       enum MouseButton
//       {
//          mbLeft   = 1,
//          mbMiddle,
//          mbRight,
//          mbWheelUp,
//          mbWheelDown
//       };

//       enum EventFlags
//       {
//          efNone        = 0x00,
//          efDoubleClick = 0x01,
//          efShift       = 0x02,
//          efAlt         = 0x04,
//          efStrg        = 0x08
//       };

//       struct MouseEvent
//       {
//          int x;
//          int y;
//          int button;
//          int flag;
//       };

      ComThread(void* aDisplay);
      virtual ~ComThread();

      void stop()                        { running = false; }
      int refresh();

      const char* getBuffer()            { return buffer; }
      int getSize()                      { return header->size; }

      int init(Renderer* aRenderer, unsigned int aPort = 0, const char* aHost = 0);
      bool Start()                       { return cThread::Start(); }
      void Stop();

      void setHost(const char* aHost)    { strcpy(host, aHost); }
      void setPort(unsigned short aPort) { port = aPort; }
      void setJpegQuality(int value)     { jpgQuality = value; }

   protected:
      
      void Action();
      int read();

      // data

      TcpChannel* line;
      Renderer* renderer;
      void* display;

      char* buffer;
      int bufferSize;
      long timeout;
      int running;
      TcpChannel::Header* header;
      unsigned short port;
      char host[100];
      int pid;
      int jpgQuality;
};

//***************************************************************************
#endif // __GTFT_COMTHREAD_HPP__
