//***************************************************************************
// Group VDR/GraphTFT
// File renderer.c
// Date 31.10.06 - Jrg Wendel
// This code is distributed under the terms and conditions of the
// GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
//--------------------------------------------------------------------------
// Class Renderer
//***************************************************************************

#include "renderer.h"

//***************************************************************************
// Object
//***************************************************************************

Renderer::Renderer(int x, int y, int width, int height, 
                   string cfgPath, int utf, string thmPath)
{ 
   confPath = cfgPath;

   dspX = x;
   dspY = y;
   dspWidth = width;
   dspHeight = height;
   utf8 = utf;
   themePath = thmPath;

   dspWidthBorder = 0;
   dspHeightBorder = 0;
}

Renderer::~Renderer() 
{

}

//***************************************************************************
// Set Properties
//***************************************************************************

void Renderer::setProperties(int x, int y, int width, int height, 
                             int utf, string thmPath)
{
   dspX = x;
   dspY = y;
   dspWidth = width;
   dspHeight = height;
   utf8 = utf;
   themePath = thmPath;
}

//***************************************************************************
// Set Border
//***************************************************************************

void Renderer::setBorder(int widthBorder, int heightBorder)
{
   dspWidthBorder = widthBorder;
   dspHeightBorder = widthBorder;
}
