/**
 *  GraphTFT plugin for the Video Disk Recorder 
 * 
 *  setup.h - A plugin for the Video Disk Recorder
 *
 *  (c) 2004-2006 Lars Tegeler, Sascha Volkenandt, Jrg Wendel
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: setup.h,v 1.2 2006/11/06 10:29:23 root Exp $
 *
 **/

#ifndef __GTFT_SETUP_H
#define __GTFT_SETUP_H

#include <vdr/menuitems.h>

#include "display.h"
#include "theme.h"
#include "i18n.h"

//***************************************************************************
// Class Graph TFT Setup 
//***************************************************************************

class cGraphTFTSetup 
{
   public:

      string Theme;           // name of the actual theme
      int HideMainMenu;
      int ShowMutePermanent;
      int UseStillPicture;
      int DvbRefresh;
      int VdrHeight;
      int VdrWidth;
      int VdrX;
      int VdrY;
      int DumpImage;
      int DumpImageX;
      int DumpImageY;
      int OSDOffsetX;
      int OSDOffsetY;
      int OSDMessageTime;
      int Level;
      int LogDevice;
      const char* PluginConfPath;
      int Iso2Utf;
      int DumpRefresh;
      char* CoverImage;
      int ViewType;
      int ViewLength;
      int ScrollTime;
      int ScrollCount;
      int enableSpectrumAnalyzer;
      int index;
      int JpegQuality;

      cGraphTFTSetup(void);
      ~cGraphTFTSetup()      { if (CoverImage) free(CoverImage); }

      bool SetupParse(const char* Name, const char* Value);
};

//***************************************************************************
// Class Menu Setup GraphTFT
//***************************************************************************

class cMenuSetupGraphTFT : public cMenuSetupPage
{
   public:

      cMenuSetupGraphTFT(cGraphTFTDisplay* graphTFTdisplay);
      virtual ~cMenuSetupGraphTFT();

      virtual eOSState ProcessKey(eKeys Key);

   protected:

      cGraphTFTSetup _data;
      cGraphTFTDisplay* _graphTFTdisplay;

      virtual void Store(void);

      // data

      char* themeNames[100];
};

//***************************************************************************

extern cGraphTFTSetup GraphTFTSetup;

//***************************************************************************
#endif // __GTFT_SETUP_H
